Overview

Retrieve group

GET/v2/rbac/groups/{id}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input1
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
idstring · pathrequired
(path) Unique identifier of the group to retrieve
Output5
descriptionstring
Detailed description of the group's purpose and scope
membersstring[]
List of user IDs that are assigned to this group
namestring
Unique name identifier for the group
rolesstring[]
List of role IDs that are assigned to this group
idstring
Unique identifier for the group
Responses
200The group was successfully retrieved
Example input
curl 'https://api.axiom.co/v2/rbac/groups/{id}' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
{
  "description": "string",
  "isManaged": false,
  "members": [
    "string"
  ],
  "name": "string",
  "roles": [
    "string"
  ],
  "id": "string"
}

Updated

Was this page helpful?